unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.StdCtrls, dmChart;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Panel1: TPanel;
    btnUpdateImage: TButton;
    procedure btnUpdateImageClick(Sender: TObject);
  private
    FdmChart: TdmChartImage;
    procedure UpdateGapChart(const aRenderWithEvents: boolean);
    procedure GapChartBeforeDrawSeries(Sender: TObject);
    { Private declarations }

  protected
    procedure Resize; override;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  math;

{$R *.dfm}


procedure TForm1.btnUpdateImageClick(Sender: TObject);
begin
  UpdateImage;
end;

procedure TForm1.Resize;
begin
  inherited;
  UpdateImage;
end;



end.
